Subject: Re: [PATCH 6/7] [POWERPC] mpc8568mds.dts: fix PCI/PCIe nodes

From: Vitaly Bordug <[email-masked]>
Date: Mon, 8 Oct 2007 12:08:48 +0400

Hello Kumar,

On Fri, 5 Oct 2007 15:58:00 -0500
Kumar Gala wrote:

> 
> On Oct 5, 2007, at 1:05 PM, Anton Vorontsov wrote:
> 
> > On Fri, Oct 05, 2007 at 09:56:46PM +0400, Sergei Shtylyov wrote:
> >> Hello.
> >>
> >> Anton Vorontsov wrote:
> >>
> >>> Commit 5bece127f0666996ca90772229e00332a34e516c tried to fix
> >>> PCI/PCIe nodes, but actually it broke them even harder. ;-)
> >>
> >>    Of course. But shouldn't those be the subnoses of the "soc"  
> >> type node?
> >
> > Nope. PCI's ranges = <>; isn't in the SOC address space.
> >
> > Valentine Barshak posted a patch titled "[RFC] [PATCH] PowerPC: Add  
> > 64-bit
> > phys addr support to 32-bit pci" that started using  
> > of_translate_address()
> > for ranges, and of_translate_address() will not work if PCI placed  
> > in the
> > SOC node. Not sure if that patch applied or not, though.
> 
> I'm confused, what's the actual issue with PCI that this patch  
> addresses?
> 
From what I can see, move of the PCI node out of the SoC node, inspired by the recent flame talk about it :)
I guess pretty soon, we'll have "proper" ranges parsing for pci, that does of_translate_address() and requires
either tuned-up parent ranges, or residing outside of the SoC node, this is the reason...

> - k
> _______________________________________________
> Linuxppc-dev mailing list
> [email-masked]
> https://ozlabs.org/mailman/listinfo/linuxppc-dev

-- 
Sincerely, Vitaly